Create Database
curl --request POST \
--url https://flows.super.ai/api/integrations/database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
'import requests
url = "https://flows.super.ai/api/integrations/database"
payload = {
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
database_type: 'csv',
description: '<string>',
table_name: '<string>'
})
};
fetch('https://flows.super.ai/api/integrations/database', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/database",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'credential_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'database_type' => 'csv',
'description' => '<string>',
'table_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/database"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/database")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"database_type": "csv",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"current_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_table_name": "<string>",
"description": "<string>",
"modified_by": "system",
"revision_count": 0,
"total_rows": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}integrations
Create Database
Create a new CSV database instance.
POST
/
api
/
integrations
/
database
Create Database
curl --request POST \
--url https://flows.super.ai/api/integrations/database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
'import requests
url = "https://flows.super.ai/api/integrations/database"
payload = {
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
database_type: 'csv',
description: '<string>',
table_name: '<string>'
})
};
fetch('https://flows.super.ai/api/integrations/database', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/database",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'credential_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'database_type' => 'csv',
'description' => '<string>',
'table_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/database"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/database")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"credential_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"database_type\": \"csv\",\n \"description\": \"<string>\",\n \"table_name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"database_type": "csv",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"current_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_table_name": "<string>",
"description": "<string>",
"modified_by": "system",
"revision_count": 0,
"total_rows": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthAPIKeyAuth
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Body
application/json
Request to create a new document file entry.
Response
Successful Response
Response for document file operations.
Creation timestamp
Type of database
Available options:
csv, postgres Document file ID
Document name
File status
Last update timestamp
Current file ID in bucket
Current dataset name
Document description
User ID (UUID string) or 'system' of the actor who last modified the file. For users, stores UUID string; for integrations, stores type value; for system changes, stores 'system'.
Number of file revisions
Total rows in current file